#!/usr/bin/env python
# -*- coding: utf-8 -*-

"""
 Napisz funkcję days_in_year zwracającą liczbę dni w roku (365 albo 366).
"""

def days_in_year(days):
    dni=0
    if days % 4 == 0 and days % 100 != 0 or days % 400 == 0:
            dni = 366
    else:
            dni = 365 

    return dni

def tests(f):
    inputs = [[2015], [2012], [1900], [2400], [1977]]
    outputs = [365, 366, 365, 366, 365]

    for input, output in zip(inputs, outputs):
        if f(*input) != output:
            return "ERROR: {}!={}".format(f(*input), output)
            break
    return "TESTS PASSED"

if __name__ == "__main__":
    print(tests(days_in_year))
